Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## groovy.util
[Java] Class NodeList

    java.lang.Object
      java.util.AbstractCollection
          java.util.AbstractList
              java.util.ArrayList
                  groovy.util.NodeList

    public class NodeList
    extends java.util.ArrayList

A List implementation which is returned by queries on a Node which provides some XPath like helper methods for GPath.

Authors:
  James Strachan
  Paul King

Constructor Summary
`NodeList()`
`NodeList(java.util.Collection collection)`
`NodeList(int size)`

Method Summary
`java.lang.Object` | `clone()` Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
`NodeList` | `getAt(java.lang.String name)` Provides lookup of elements by non-namespaced name.
`NodeList` | `getAt(QName name)` Provides lookup of elements by QName.
`void` | `plus(Closure c)`
`Node` | `replaceNode(Closure c)`
`protected static void` | `setMetaClass(java.lang.Class nodelistClass, MetaClass metaClass)`
`java.lang.String` | `text()` Returns the text value of all of the elements in the collection.

Methods inherited from class java.util.ArrayList
java.util.ArrayList#add(java.lang.Object), java.util.ArrayList#add(int, java.lang.Object), java.util.ArrayList#get(int), java.util.ArrayList#clone(), java.util.ArrayList#indexOf(java.lang.Object), java.util.ArrayList#clear(), java.util.ArrayList#size(), java.util.ArrayList#isEmpty(), java.util.ArrayList#lastIndexOf(java.lang.Object), java.util.ArrayList#contains(java.lang.Object), java.util.ArrayList#subList(int, int), java.util.ArrayList#toArray(), java.util.ArrayList#toArray([Ljava.lang.Object;), java.util.ArrayList#remove(int), java.util.ArrayList#remove(java.lang.Object), java.util.ArrayList#addAll(java.util.Collection), java.util.ArrayList#addAll(int, java.util.Collection), java.util.ArrayList#iterator(), java.util.ArrayList#set(int, java.lang.Object), java.util.ArrayList#trimToSize(), java.util.ArrayList#ensureCapacity(int), java.util.ArrayList#removeAll(java.util.Collection), java.util.ArrayList#retainAll(java.util.Collection), java.util.ArrayList#listIterator(int), java.util.ArrayList#listIterator(), java.util.ArrayList#equals(java.lang.Object), java.util.ArrayList#hashCode(), java.util.ArrayList#toString(), java.util.ArrayList#containsAll(java.util.Collection), java.util.ArrayList#wait(long), java.util.ArrayList#wait(long, int), java.util.ArrayList#wait(), java.util.ArrayList#getClass(), java.util.ArrayList#notify(), java.util.ArrayList#notifyAll()

Methods inherited from class java.util.AbstractList
java.util.AbstractList#add(java.lang.Object), java.util.AbstractList#add(int, java.lang.Object), java.util.AbstractList#get(int), java.util.AbstractList#equals(java.lang.Object), java.util.AbstractList#hashCode(), java.util.AbstractList#indexOf(java.lang.Object), java.util.AbstractList#clear(), java.util.AbstractList#lastIndexOf(java.lang.Object), java.util.AbstractList#subList(int, int), java.util.AbstractList#remove(int), java.util.AbstractList#addAll(int, java.util.Collection), java.util.AbstractList#iterator(), java.util.AbstractList#set(int, java.lang.Object), java.util.AbstractList#listIterator(), java.util.AbstractList#listIterator(int), java.util.AbstractList#toString(), java.util.AbstractList#size(), java.util.AbstractList#isEmpty(), java.util.AbstractList#contains(java.lang.Object), java.util.AbstractList#toArray(), java.util.AbstractList#toArray([Ljava.lang.Object;), java.util.AbstractList#remove(java.lang.Object), java.util.AbstractList#addAll(java.util.Collection), java.util.AbstractList#containsAll(java.util.Collection), java.util.AbstractList#removeAll(java.util.Collection), java.util.AbstractList#retainAll(java.util.Collection), java.util.AbstractList#wait(long), java.util.AbstractList#wait(long, int), java.util.AbstractList#wait(), java.util.AbstractList#getClass(), java.util.AbstractList#notify(), java.util.AbstractList#notifyAll(), java.util.AbstractList#size()

Constructor Detail

### NodeList

    public NodeList()

### NodeList

    public NodeList(java.util.Collection collection)

### NodeList

    public NodeList(int size)

Method Detail

### clone

    public Object clone() {
    public java.lang.Object clone()

  Creates a new NodeList containing the same elements as the original (but cloned in the case of Nodes).
  Returns:
    the clone

### getAt

    public NodeList getAt(java.lang.String name)

  Provides lookup of elements by non-namespaced name.
  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### getAt

    public NodeList getAt(QName name)

  Provides lookup of elements by QName.
  Parameters:
    `name` - the name or shortcut key for nodes of interest
  Returns:
    the nodes of interest which match name

### plus

    public void plus(Closure c)

### replaceNode

    public Node replaceNode(Closure c)

### setMetaClass

    protected static void setMetaClass(java.lang.Class nodelistClass, MetaClass metaClass)

### text

    public java.lang.String text()

  Returns the text value of all of the elements in the collection.
  Returns:
    the text value of all the elements in the collection or null

Groovy Documentation